gnutls_srp_verifier(3)

NAME
gnutls_srp_verifier - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_srp_verifier(const char * username, const char * password, const gnutls_datum_t * salt, const gnutls_datum_t * generator, const gnutls_datum_t * prime, gnutls_datum_t * res);

ARGUMENTS

const char * username
    is the user's name

const char * password
    is the user's password

const gnutls_datum_t * salt
    should be some randomly generated bytes

const gnutls_datum_t * generator
    is the generator of the group

const gnutls_datum_t * prime
    is the group's prime

gnutls_datum_t * res
    where the verifier will be stored.

DESCRIPTION
This function will create an SRP verifier, as specified in RFC2945. The prime and generator should be one of the static parameters defined in gnutls/gnutls.h or may be generated. The verifier will be allocated with gnutls_malloc () and will be stored in
 res using binary format.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, or an error code.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/